Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158443 - celestia - FC4 x86_64 rebuild failed
Summary: celestia - FC4 x86_64 rebuild failed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: celestia
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steven Pritchard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE4Target-x86_64
TreeView+ depends on / blocked
 
Reported: 2005-05-22 12:30 UTC by Thorsten Leemhuis
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 1.4.0-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-12 01:14:46 UTC


Attachments (Terms of Use)
fix compile on 64-bit archs (deleted)
2005-11-05 10:45 UTC, Thorsten Leemhuis
no flags Details | Diff

Description Thorsten Leemhuis 2005-05-22 12:30:47 UTC
This package failed to rebuild on x86_64 for FC4 Development around 2005-04-11
after an automated release bump. No build logs available afaics.

Comment 2 Maurizio Paolini 2005-10-25 14:00:10 UTC
the package rebuilds fine on an ia64 architecture if a patch is  
applied. Note that the problem actually refers to the FC4 version,  
not to the DEVEL version.  You can find more information, the patch 
and a working spec file in http://dmf.unicatt.it/~pasqui/celestia/  

Comment 3 Thorsten Leemhuis 2005-11-05 10:45:08 UTC
Created attachment 120754 [details]
fix compile on 64-bit archs

This patch agains current CVS fixes build on 64bit archs. Not the best solution
afaics, but works for me.

Steve, is it okay if I commit this to FC-4 and devel and request build?

Comment 4 Steven Pritchard 2005-11-08 15:45:01 UTC
I'll take care of it.  I have a few other issues that I'd like to try to address
before rebuilding.

Comment 5 Steven Pritchard 2006-02-12 01:14:46 UTC
The current version of celestia is 1.4.0 (or a post-1.4.0 CVS snapshot in the
devel branch).  It builds fine on x86_64.  I think I can safely close this bug,
but please let me know if I'm missing something.


Note You need to log in before you can comment on or make changes to this bug.